summaryrefslogtreecommitdiff
path: root/taler-build/update_playground.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build/update_playground.sh')
-rwxr-xr-xtaler-build/update_playground.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/taler-build/update_playground.sh b/taler-build/update_playground.sh
new file mode 100755
index 0000000..7500ec8
--- /dev/null
+++ b/taler-build/update_playground.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -eu
+
+cd $HOME/playground/
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --init --force
+
+./bootstrap
+./configure --prefix="$HOME/local"
+make install